<?php

/**
 * pr_resoluciones actions.
 *
 * @package    nomina
 * @subpackage pr_resoluciones
 * @author     SofHouse Ltda.
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class pr_resolucionesActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */

  public function executeInicio(sfWebRequest $request)
  {
    
	$fecha_proceso = Doctrine::getTable('PR_FECHA_PROC')->find(1)->getFecha();
        $fecha = $fecha_proceso;
        $fecha = $fecha_proceso;
        $date = strtotime($fecha);
        $ano = date("Y", $date);

	$id_resolucion = $request->getParameter('id_resolucion');
       	$mensaje = $request->getParameter('mensaje');
	$this->getUser()->setFlash('message', $mensaje);	

	$where = " WHERE id_tipo_resol!=3 and id_vigencia = 1 and vigencia='".$ano."'";
	if($id_resolucion != ""){
	$where.=" and id_resoluciones = ".$id_resolucion;
	}

        $consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOLUCIONES". 
	      $where
              ." ORDER BY RESOLUCION desc";
	
	$st=$consul->execute($sql);
        $this->resoluciones=$st->fetchAll(); 

	

  }


  public function executeIndex(sfWebRequest $request)
  {

  }

  public function executeFiltrar(sfWebRequest $request)
  {
    
	$id_cdp = $request->getParameter('id_cdp');
	$id_vigencia = $request->getParameter('id_vigencia');
	$vigencia = $request->getParameter('vigencia');
	$id_resolucion = $request->getParameter('resolucion');
	$where="where id_vigencia = ".$id_vigencia." and vigencia='".$vigencia."'";

	if($id_cdp!=""){
	$where.= " and id_cdp = ".$id_cdp;
	}

	if($id_resolucion!=""){
	$where.= " and resolucion LIKE '%".$id_resolucion."'";
	}


	$consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOL_COMIS ".$where;
	
	$st=$consul->execute($sql);
        $this->resoluciones=$st->fetchAll(); 

	

  }


  public function executeNueva(sfWebRequest $request)
  {

	$this->id_vigencia = $request->getParameter('id_vigencia');
	$this->vigencia = $request->getParameter('vigencia');
	$this->id_resolucion = $request->getParameter('id_resolucion');
	
    	$consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOL_COMIS where id = ".$this->id_resolucion;
	
	$st=$consul->execute($sql);
        $this->resolucion=$st->fetchAll(); 

	$sql="SELECT * 
	      FROM FIRMA_RP";
	
	$st=$consul->execute($sql);
        $this->firmas=$st->fetchAll(); 
	$this->form = new PR_RPForm();

  }

public function executeCrear(sfWebRequest $request)
  {

	$id_vigencia = $request->getParameter('id_vigencia');
	$vigencia = $request->getParameter('vigencia');
	$id_resolucion = $request->getParameter('id_resolucion');
	
	$id_tipo_resol = $request->getParameter('id_tipo_resol');
	$firma = $request->getParameter('firma');
	$modificacion = $request->getParameter('modificacion');
	$aclaracion = $request->getParameter('aclaracion');

	$this->form = new PR_RPForm();
    	$fields = $request->getParameter($this->form->getName());
    	$fecha_ini=$fields['fecha'];

	if($fecha_ini['month']!=""){

	if ($fecha_ini['month'] < 10
            )$fecha_ini['month'] = '0' . $fecha_ini['month'];
         $fecha = $fecha_ini['year'] . "/" . $fecha_ini['month'] . "/".$fecha_ini['day'];

	}else{
	$fecha = "";
	}

	

	$usuario = $this->getUser()->getAttribute('usuario')->getUsername();

	$resolucion = $request->getParameter('nro_resolucion');
        
	//$resolucion = "CAADAD";
	$fecha_proceso = $fecha;	

	$consul=Doctrine_Manager::getInstance()->connection();
        
	if($id_tipo_resol==1){

	$sql="INSERT INTO PR_RESOLUCIONES (ID_RESOL_ORIG,RESOLUCION,FIRMA,ID_VIGENCIA,VIGENCIA,ID_TIPO_RESOL,MODIFICACION,ACLARACION,FECHA_RESOL,FECHALOG,USUARIOLOG)
		VALUES(".$id_resolucion.",'".$resolucion."',".$firma.",".$id_vigencia.",'".$vigencia."',".$id_tipo_resol.",'".$modificacion."','".$aclaracion."',to_date('".$fecha_proceso."','YYYY-MM-DD'),sysdate,'".$usuario."')";

	}else{
	
	$sql="INSERT INTO PR_RESOLUCIONES (ID_RESOL_ORIG,RESOLUCION,FIRMA,ID_VIGENCIA,VIGENCIA,ID_TIPO_RESOL,MODIFICACION,ACLARACION,FECHA_RESOL,FECHALOG,USUARIOLOG)
		VALUES(".$id_resolucion.",'".$resolucion."',".$firma.",".$id_vigencia.",'".$vigencia."',".$id_tipo_resol.",'".$modificacion."','".$aclaracion."',to_date('".$fecha_proceso."','YYYY-MM-DD'),sysdate,'".$usuario."')";

	}
	
	$st=$consul->execute($sql);

	//SE ELIMINAN LAS PERSONAS ASOCIADAS AL PLAN DE COMISION A LAS CUALES CUALES SE LE ELIMINO DE LA RESOLUCION.

	$sql="SELECT * 
	      FROM PR_RESOL_COMIS where id = ".$id_resolucion;
	
	$st=$consul->execute($sql);
        $resolucion_orig=$st->fetchAll();

        $tipo = $resolucion_orig[0]['TIPO_COMISIONADO'];
	        


       $sql="SELECT rp.*, inter.* 
	      FROM PR_RP_COMIS rp
	      left join INTERCEROS_V inter ON inter.id_mae_ter = rp.id_mae_ter
	      where rp.id_comision = ".$id_comision." and rp.id_vigencia =1 and rp.vigencia = '".$vigencia."' and rp.estado=-1 and rp.no_acto_admin = ".$id_resol_orig;
	
	   $st=$consul->execute($sql);
           $rps=$st->fetchAll(); 

	   if(count($rps)>0){		    
		foreach($rps as $rps){

			$nitocc = $rps['ID_TERCERO'];
	    		$sql = "delete from comisionados_objs where id_comision = ".$id_comision." and vigencia='".$vigencia."' and nitocc = '".$nitocc."'";
	   		$st=$consul->execute($sql);

			if($tipo == 1){
			$sql = "delete from comisionados_planta where id_comision = ".$id_comision." and vigencia='".$vigencia."' and nitocc = '".$nitocc."'";
	   		$st=$consul->execute($sql);
			}
	
			if($tipo == 2){ 

			$sql = "delete from comisionados_contrato where id_comision = ".$id_comision." and vigencia='".$vigencia."' and nitocc = '".$nitocc."'";
	   		$st=$consul->execute($sql);

			}
			
			$sql = "delete from tarifas_destino where id_comision = ".$id_comision." and vigencia='".$vigencia."' and nitocc = '".$nitocc."'";
	   		$st=$consul->execute($sql);

			$sql = "delete from destinos_comisionado where id_comision = ".$id_comision." and vigencia='".$vigencia."' and nitocc = '".$nitocc."'";
	   		$st=$consul->execute($sql);

			
	    
		}

	    }

	    else{


	   $sql = "update comisiones set activo = -1, justificacion = 'SE ANULA LA RESOLUCION No. '".$resolucion." where id = ".$id_comision." and vigencia='".$vigencia."'";
	   $st=$consul->execute($sql);
	   

	   }

	
	$mensaje = "Se creo satisfactoriamente la resolucion No. ".$resolucion;
	$this->redirect('pr_resoluciones/inicio?mensaje='.$mensaje);
        



  }

public function executeUpdate(sfWebRequest $request)
  {

	$id_vigencia = $request->getParameter('id_vigencia');
	$vigencia = $request->getParameter('vigencia');
	$id_resolucion = $request->getParameter('id_resolucion');
	$id_tipo_resol = $request->getParameter('id_tipo_resol');
	$firma = $request->getParameter('firma');
	$modificacion = $request->getParameter('modificacion');
	$aclaracion = $request->getParameter('aclaracion');
	$resolucion = $request->getParameter('resolucion');
	$this->form = new PR_RPForm();
    	$fields = $request->getParameter($this->form->getName());
    	$fecha_ini=$fields['fecha'];
	$fecha_ini['month'];
	

	if($fecha_ini['month']!=""){

	if ($fecha_ini['month'] < 10
            )$fecha_ini['month'] = '0' . $fecha_ini['month'];
         $fecha_proceso = $fecha_ini['year'] . "/" . $fecha_ini['month'] . "/".$fecha_ini['day'];

	}else{
	$fecha_proceso = "";
	}

	$usuario = $this->getUser()->getAttribute('usuario')->getUsername();

	$consul=Doctrine_Manager::getInstance()->connection();
        
	if($id_tipo_resol==1){

	$sql="UPDATE PR_RESOLUCIONES SET FIRMA = ".$firma.",RESOLUCION = '".$resolucion."', FECHA_RESOL = to_date('".$fecha_proceso."','YYYY-MM-DD'), MODIFICACION = '".$modificacion."', ACLARACION='".$aclaracion."' WHERE ID_RESOLUCIONES = ".$id_resolucion;

	}else{
	
	$sql="UPDATE PR_RESOLUCIONES SET FIRMA = ".$firma.",RESOLUCION = '".$resolucion."',FECHA_RESOL = to_date('".$fecha_proceso."','YYYY-MM-DD'), MODIFICACION = '".$modificacion."', ACLARACION='".$aclaracion."' WHERE ID_RESOLUCIONES = ".$id_resolucion;

	}

	$st=$consul->execute($sql);
	
	$mensaje = "Se edito satisfactoriamente la resolucion No. ".$resolucion;
	$this->redirect('pr_resoluciones/inicio?id_resolucion='.$id_resolucion."&mensaje=".$mensaje);
        



  }

public function executeUpdateDes(sfWebRequest $request)
  {

	$id_vigencia = $request->getParameter('id_vigencia');
	$vigencia = $request->getParameter('vigencia');
	$id_resolucion = $request->getParameter('id_resolucion');
	$id_tipo_resol = $request->getParameter('id_tipo_resol');
	$firma = $request->getParameter('firma');
	$resolucion = $request->getParameter('resolucion');

	$usuario = $this->getUser()->getAttribute('usuario')->getUsername();

	$this->form = new PR_RPForm();
    	$fields = $request->getParameter($this->form->getName());
    	$fecha_ini=$fields['fecha'];

	if($fecha_ini['month']!=""){

	if ($fecha_ini['month'] < 10
            )$fecha_ini['month'] = '0' . $fecha_ini['month'];
         $fecha_proceso = $fecha_ini['year'] . "/" . $fecha_ini['month'] . "/".$fecha_ini['day'];

	}else{
	$fecha_proceso = "";
	}

	$consul=Doctrine_Manager::getInstance()->connection();
        
	if($id_tipo_resol==1){

	$sql="UPDATE PR_RESOLUCIONES SET FIRMA = ".$firma.",RESOLUCION = '".$resolucion."',FECHA_RESOL = to_date('".$fecha_proceso."','YYYY-MM-DD') WHERE ID_RESOLUCIONES = ".$id_resolucion;

	}else{
	
	$sql="UPDATE PR_RESOLUCIONES SET FIRMA = ".$firma.",RESOLUCION = '".$resolucion."',FECHA_RESOL = to_date('".$fecha_proceso."','YYYY-MM-DD') WHERE ID_RESOLUCIONES = ".$id_resolucion;

	}
	
	$st=$consul->execute($sql);
	
	$mensaje = "Se edito satisfactoriamente la resolucion No. ".$resolucion;
	$this->redirect('pr_resoluciones/desplazamiento?id_resolucion='.$id_resolucion."&mensaje=".$mensaje);
        



  }

public function executeEditarDes(sfWebRequest $request)
  {

	$this->id_vigencia = $request->getParameter('id_vigencia');
	$this->vigencia = $request->getParameter('vigencia');
	$this->id_resolucion = $request->getParameter('id_resolucion');
	$consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOLUCIONES where id_resoluciones = ".$this->id_resolucion;
	
	$st=$consul->execute($sql);
        $this->resolucion=$st->fetchAll(); 

	$sql="SELECT * 
	      FROM FIRMA_RP";
	
	$st=$consul->execute($sql);
        $this->firmas=$st->fetchAll(); 
	$this->form = new PR_RPForm();
}

public function executeEditar(sfWebRequest $request)
  {

	$this->id_vigencia = $request->getParameter('id_vigencia');
	$this->vigencia = $request->getParameter('vigencia');
	$this->id_resolucion = $request->getParameter('id_resolucion');
	$consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOLUCIONES where id_resoluciones = ".$this->id_resolucion;
	
	$st=$consul->execute($sql);
        $this->resolucion=$st->fetchAll(); 

	$sql="SELECT * 
	      FROM FIRMA_RP";
	
	$st=$consul->execute($sql);
        $this->firmas=$st->fetchAll();
	$this->form = new PR_RPForm(); 

}

public function executePdf(sfWebRequest $request)
  {

	$id_vigencia = $request->getParameter('id_vigencia');
	$vigencia = $request->getParameter('vigencia');
	$id_resolucion = $request->getParameter('id_resolucion');
	
    	$consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOLUCIONES where id_resoluciones = ".$id_resolucion;
	
	$st=$consul->execute($sql);
        $resolucion=$st->fetchAll(); 

	$id_tipo_resol = $resolucion[0]['ID_TIPO_RESOL'];
	$resol = $resolucion[0]['RESOLUCION'];
	$fecha_resol = $this->fechaEspanol($resolucion[0]['FECHA_RESOL']);
	
	


	$sql="SELECT * 
	      FROM PR_RESOL_COMIS where id = ".$resolucion[0]['ID_RESOL_ORIG'];
	
	$st=$consul->execute($sql);
        $resolucion_orig=$st->fetchAll(); 

	$resol_orig = $resolucion_orig[0]['RESOLUCION'];
	$id_resol_orig = $resolucion_orig[0]['ID'];
	$vigencia_orig = $resolucion_orig[0]['VIGENCIA'];
	$tipo = $resolucion_orig[0]['TIPO_COMISIONADO'];
	if($tipo == 1)
	$fecha_resol_orig = $this->fechaEspanol($resolucion_orig[0]['FECHA_FUNCIONARIO']);
	if($tipo == 2)
	$fecha_resol_orig = $this->fechaEspanol($resolucion_orig[0]['FECHA_COMISIONADO']);


	
	//$fecha_resol_orig = explode(' ',$fecha_resol_orig);
	//$fecha_resol_orig = $fecha_resol_orig[0];
	$id_cdp_orig = $resolucion_orig[0]['ID_CDP'];


	$datos_cdp = Doctrine::getTable('PR_CDP_COMIS')->find(array($id_cdp_orig, 1, $vigencia));
	$id_comision = $datos_cdp->getIdComision();


        $pdf = new CDPDF('P', 'mm', 'letter');
        $pdf->setEncabezado('1');
	$pdf->AddFont('Times','','Times.php');
        $pdf->SetFont('Times', '', 8);
        $pdf->SetFillColor(255);
        $pdf->SetTextColor(0);
        // Header
        $pdf->AddPage();
	


	//RESOLUCION DE MODIFICACION

	if($id_tipo_resol == 1){

	    $nombre_cargo = Doctrine::getTable('FIRMA_RP')->find($resolucion[0]['FIRMA'])->getNombre();
            $cargo = Doctrine::getTable('FIRMA_RP')->find($resolucion[0]['FIRMA'])->getCargo();
            $nombre_empresa = Doctrine::getTable('DATOS_COMPANIA')->find(1)->getNombreEmpresa();
            if ($cargo == 'SECRETARIO GENERAL'

                )$encabezado = "En uso de las facultades legales en especial las conferidas en el artículo 3 de la Resolución 131 del 25 de febrero de 2014";
            else
                 $encabezado="En uso de las facultades legales en especial las conferidas en el Artículo 10 del Decreto 4131 del 3 de Noviembre de 2011";

	$pdf->Cell(190, 15, "", 0, 1, 'C');
	    $fecha_resolucion_comision = $fecha_resol;
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 20, "", 0, 1, 'C');
            	if($resol!=""){
		$pdf->Cell(190, 8, "RESOLUCIÓN NÚMERO  " . $resol." DE", 0, 1, 'C');
		$pdf->Cell(190, 8, "(" . $fecha_resolucion_comision.")", 0, 1, 'C');	
		}
		else{
		$pdf->Cell(190, 8, "RESOLUCIÓN NÚMERO         DE", 0, 1, 'C');
		$pdf->Cell(190, 8, "(                     )", 0, 1, 'C');
		}
            $pdf->SetFont('Times', '', 8);
	   // $pdf->ln();
	   if($tipo == 1){
		$pdf->Cell(190, 5, '"Por medio de la cual se modifica la resolución de comisión No. '.$resol_orig, 0, 1, 'C');
	   }else{
		$pdf->Cell(190, 5, '"Por medio de la cual se modifica la resolución de desplazamiento No. '.$resol_orig, 0, 1, 'C');
	   }

            
           // $pdf->Cell(190, 5, '', 0, 1, 'C');
           // $pdf->ln();
            $pdf->SetFont('Times', 'B', 8);
	    $pdf->Cell(190, 5, 'EL ' . $cargo . ' DEL ' . $nombre_empresa, 0, 1, 'C');

            $pdf->SetFont('Times', '', 8);
	    $pdf->MultiCell(190, 5, $encabezado, 0, 'C', 0);
         //   $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->ln();
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 5, 'CONSIDERANDO', 0, 1, 'C');
            $pdf->ln();
    //        $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->SetFont('Times', '', 9);

	    
	    if ($tipo == 1) {
              


                    $datos_funcionarios=Doctrine_Query::create()
                                    ->select('d.*')
                                    ->from('COMISIONADOS_PLANTA d, COMISIONADOS_OBJS f')
                                    ->where('d.id_comision=? and d.vigencia=? and f.id_comision=d.id_comision and f.vigencia=d.vigencia and f.nitocc=d.nitocc and f.valor!=0',array($id_comision,$vigencia))
                                    ->execute();
  
            } else {
                         $datos_funcionarios=Doctrine_Query::create()
                                    ->select('d.*')
                                    ->from('COMISIONADOS_CONTRATO d, COMISIONADOS_OBJS f')
                                    ->where('d.id_comision=? and d.vigencia=? and f.id_comision=d.id_comision and f.vigencia=d.vigencia and f.nitocc=d.nitocc and f.valor!=0',array($id_comision,$vigencia))
                                    ->execute();
        	
            }

	   foreach($datos_funcionarios as $datos_funcionarios){	

	   $funcionarios .= ''.Doctrine::getTable('TERCEROS')->find($datos_funcionarios->getNitocc())->getRazSoc().', ';
		}	   
	   
	   $objeto = $datos_cdp->getObjeto();
	   $objeto = eregi_replace("[\n|\r|\n\r]", ' ', $objeto);
	
	    if($tipo == 1){
		$considerando = '<p style="text-align:justify">Que mediante la Resolución No. '.$resol_orig.' del '.$fecha_resol_orig.', se autorizó una comisión para el(los) funcionario(s) '.$funcionarios.' con el objeto de: '.PR_CDP_COMISForm::utfToAcute2($objeto).'</p>';
	   
	    }else{

	   $considerando = '<p style="text-align:justify">Que mediante la Resolución No. '.$resol_orig.' del '.$fecha_resol_orig.', se autorizó un desplazamiento para el(los) contratistas(s) '.$funcionarios.' con el objeto de: '.PR_CDP_COMISForm::utfToAcute2($objeto).'</p>';

            }

	   $modificacion = $resolucion[0]['MODIFICACION'];
	   $modificacion = eregi_replace("[\n|\r|\n\r]", '<p>', $modificacion);
	   $modificacion = '<p style="text-align:justify">'.$modificacion.'</p>';

	
	   $aclaracion = $resolucion[0]['ACLARACION'];
	   $pdf->writeHTML($considerando, true, false, true, false, '');
	   $pdf->ln();
	
	   $pdf->writeHTML($modificacion, true, false, true, false, '');

	   $pdf->ln();

	   $afecta=$request->getParameter('afecta');
           if($afecta==0){

	   $pdf->writeHTML('<p style="text-align:justify">Que dicho desplazamiento no implica afectación presupuestal.</p>', true, false, true, false, '');
	   $pdf->ln();
	   }
	   $pdf->ln();
	   $pdf->writeHTML('<p style="text-align:justify">Que en merito de lo expuesto,</p>', true, false, true, false, '');
	   $pdf->ln();

            //$pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 5, 'RESUELVE', 0, 1, 'C');
    //        $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->SetFont('Times', '', 9);

	   if($tipo==1)$articulo1= '<p style="text-align:justify"><b>ARTICULO PRIMERO.-</b> Modificar la Resolución de Comisión No. '.$resol_orig.' del '.$fecha_resol_orig.', '.$aclaracion.'.</p>';
	   
	   if($tipo==2)$articulo1= '<p style="text-align:justify"><b>ARTICULO PRIMERO.-</b> Modificar la Resolución de Desplazamiento No. '.$resol_orig.' del '.$fecha_resol_orig.', '.$aclaracion.'.</p>';
	   

	   $pdf->ln();
	   $articulo2 = '<p style="text-align:justify"><b>ARTICULO SEGUNDO.-</b>La presente Resolución rige a partir de la fecha de su expedición.</p>';

	   $pdf->writeHTML($articulo1, true, false, true, false, '');
	   $pdf->ln();
	   $pdf->writeHTML($articulo2, true, false, true, false, '');

	   $pdf->SetFont('Times', 'B', 8);
            $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->Cell(190, 5, 'COMUNÍQUESE Y CÚMPLASE', 0, 1, 'C');
            $pdf->Cell(110, 5, 'Dada en Bogotá D.C.', 0, 1, 'R');
            
            $pdf->SetFont('Times', 'B', 8);

	    $pdf->ln();	
	    $pdf->ln();
            $pdf->SetTextColor(0, 0, 0);
            $pdf->Cell(190, 5, $nombre_cargo, 0, 1, 'C');
            $pdf->Cell(190, 5, $cargo, 0, 1, 'C');


	//RESOLUCIÓN DE ANULACIÓN


	    $pdf->Output("RCN_" . $resol . "_" . $vigencia . "pdf", "D");
	

	}
	else if($id_tipo_resol==2){

	    $nombre_cargo = Doctrine::getTable('FIRMA_RP')->find($resolucion[0]['FIRMA'])->getNombre();
            $cargo = Doctrine::getTable('FIRMA_RP')->find($resolucion[0]['FIRMA'])->getCargo();
            $nombre_empresa = Doctrine::getTable('DATOS_COMPANIA')->find(1)->getNombreEmpresa();
            if ($cargo == 'SECRETARIO GENERAL'

                )$encabezado = "En uso de las facultades legales en especial las conferidas en el artículo 3 de la Resolución 131 del 25 de febrero de 2014";
            else
                 $encabezado = "En uso de las facultades legales en especial las conferidas en el Artículo 10 del Decreto 4131 del 3 de Noviembre de 2011";

	$pdf->Cell(190, 15, "", 0, 1, 'C');
	     $fecha_resolucion_comision = $fecha_resol;
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 20, "", 0, 1, 'C');
            	if($resol!=""){
		$pdf->Cell(190, 8, "RESOLUCIÓN NÚMERO  " . $resol." DE", 0, 1, 'C');
		$pdf->Cell(190, 8, "(" . $fecha_resolucion_comision.")", 0, 1, 'C');	
		}
		else{
		$pdf->Cell(190, 8, "RESOLUCIÓN NÚMERO         DE", 0, 1, 'C');
		$pdf->Cell(190, 8, "(                     )", 0, 1, 'C');
		}
            $pdf->SetFont('Times', '', 8);
	   // $pdf->ln();
            if($tipo==1)$pdf->Cell(190, 5, '"Por medio de la cual se deja sin efectos una resolución de comisión"', 0, 1, 'C');
            if($tipo==2)$pdf->Cell(190, 5, '"Por medio de la cual se deja sin efectos una resolución de desplazamiento"', 0, 1, 'C');
           // $pdf->Cell(190, 5, '', 0, 1, 'C');
           // $pdf->ln();
            $pdf->SetFont('Times', 'B', 8);
            $pdf->Cell(190, 5, 'EL ' . $cargo . ' DEL ' . $nombre_empresa, 0, 1, 'C');	    
          //$pdf->Cell(190, 5, $cargo, 0, 1, 'C');

            $pdf->SetFont('Times', '', 8);
	    $pdf->MultiCell(190, 5, $encabezado, 0, 'C', 0);
         //   $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->ln();
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 5, 'CONSIDERANDO', 0, 1, 'C');
    //        $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->SetFont('Times', '', 9);
	    $pdf->ln();
            
	    
	   
	    if ($tipo == 1) {
              


                    $datos_funcionarios=Doctrine_Query::create()
                                    ->select('d.*')
                                    ->from('COMISIONADOS_PLANTA d, COMISIONADOS_OBJS f')
                                    ->where('d.id_comision=? and d.vigencia=? and f.id_comision=d.id_comision and f.vigencia=d.vigencia and f.nitocc=d.nitocc and f.valor!=0',array($id_comision,$vigencia))
                                    ->execute();
  
            } else {
                         $datos_funcionarios=Doctrine_Query::create()
                                    ->select('d.*')
                                    ->from('COMISIONADOS_CONTRATO d, COMISIONADOS_OBJS f')
                                    ->where('d.id_comision=? and d.vigencia=? and f.id_comision=d.id_comision and f.vigencia=d.vigencia and f.nitocc=d.nitocc and f.valor!=0',array($id_comision,$vigencia))
                                    ->execute();
        	
            }
	   $funcionarios = "";
	   
	   foreach($datos_funcionarios as $datos_funcionarios){	

	   $rp_comis = Doctrine_Query::create()->select('d.*')->from('PR_RP_COMIS d')->where('d.id_comision=? and d.id_vigencia = 1 and d.vigencia=? and d.estado=-1 and d.id_tercero=?',array($id_comision,$vigencia,$datos_funcionarios->getNitocc()))->fetchOne();	
	   if($rp_comis){
	   $funcionarios .= '<b>'.Doctrine::getTable('TERCEROS')->find($datos_funcionarios->getNitocc())->getRazSoc().'</b> identificado(a) con la cédula de ciudanía No. '.$datos_funcionarios->getNitocc().', ';
	   }
	   
		}	   
	   
//SE QUITO $this->fechaEspanol YA QUE ESTABA GENERANDO CONFLICTO AL VOLVER A TRANFORMAR LA FECHA ESTA FUNCIÓN YA ESTABA REGISTRADA ANTERIORMENTE 29/08/2013

	   if($tipo==1)$considerando = '<p style="text-align:justify">Que mediante la Resolución No. '.$resol_orig.' del '.$fecha_resol_orig.' se autorizó una comisión para el(los) funcionario(s) '.$funcionarios.' con el fin de '.PR_CDP_COMISForm::utfToAcute2($datos_cdp->getObjeto()).'</p>';

	   if($tipo==2)$considerando = '<p style="text-align:justify">Que mediante la Resolución No. '.$resol_orig.' del '.$fecha_resol_orig.' se autorizó un desplazamiento para el(los) contratistas(s) '.$funcionarios.' con el fin de '.PR_CDP_COMISForm::utfToAcute2($datos_cdp->getObjeto()).'</p>';


	   $modificacion = $resolucion[0]['MODIFICACION'];
	   $modificacion = eregi_replace("[\n|\r|\n\r]", '<p>', $modificacion);
	   $modificacion = '<p style="text-align:justify">'.$modificacion.'</p>';	
	   
           $aclaracion = $resolucion[0]['ACLARACION'];

	   $pdf->writeHTML($considerando, true, false, true, false, '');
	   $pdf->ln();
	   $pdf->writeHTML($modificacion, true, false, true, false, '');
	   $pdf->Cell(190, 10, '', 0, 1, 'L');
	   //$pdf->ln();
	   //$pdf->SetFont('Times', 'B', 10);
	   $pdf->MultiCell(190,5,"Que en merito de lo expuesto,", 0, 'L', 0);
	   $pdf->SetFont('Times', 'B', 12);

	   $pdf->Cell(190, 5, 'RESUELVE', 0, 1, 'C');
           $pdf->ln();
	   $articulo1 = '<p style="text-align:justify"><b>ARTÍCULO PRIMERO.-</b> Dejar sin efectos la Resolución de Comisión que se detalla a continuación y, en consecuencia su(s) Registro(s) Presupuestal(es), por la perdida de su fuerza ejecutoria, al desaparecer los fundamentos de hecho y de derecho que la motivaron, tal como se indica en la parte considerativa del presente acto administrativo, de conformidad con lo señalado en el articulo 91, del Código de Procedimiento Administrativo y de lo Contencioso Administrativo.</p>';
	   $pdf->SetFont('Times', '', 9);
	   
	   //$pdf->ln();	
	   $pdf->writeHTML($articulo1, true, false, true, false, '');
	   $pdf->MultiCell(190, 5, $aclaracion, 0, 'L', 0);
	   $sql="SELECT rp.*, inter.* 
	      FROM PR_RP_COMIS rp
	      left join INTERCEROS_V inter ON inter.id_mae_ter = rp.id_mae_ter
	      where rp.id_comision = ".$id_comision." and rp.id_vigencia =1 and rp.vigencia = '".$vigencia."' and rp.estado=-1 and rp.no_acto_admin = ".$id_resol_orig;
	
	   $st=$consul->execute($sql);
           $rps=$st->fetchAll(); 
	    
	   

            //$pdf->ln();	
            $pdf->SetFont('Times', 'B', 7);
            $pdf->MultiCell(100, 5, 'FUNCIONARIO', 1, 'C',1,0);
            $pdf->MultiCell(10, 5, 'RP', 1, 'C',1,0);
	    $pdf->MultiCell(40, 5, 'RESOLUCION', 1, 'C',1,0);
	    $pdf->MultiCell(10, 5, 'CDP', 1, 'C',1,1);

	    if(count($rps)>0){		    

	   
	    foreach($rps as $rps){
		
	    $pdf->MultiCell(100, 5, $rps['NUM_DOC']." - ".$rps['RAZON_SOC'], 1, 'L',1,0);
            $pdf->MultiCell(10, 5, $rps['ID'], 1, 'L',1,0);
	    $pdf->MultiCell(40, 5, $resol_orig, 1, 'C',1,0);
            //$pdf->MultiCell(40, 5, $resol_orig, 1, 'C',1,0);
	    $pdf->MultiCell(10,5, $id_cdp_orig, 1, 'L',1,1);

	    }

	   } else{


	   if ($tipo == 1) {
              


                    $datos=Doctrine_Query::create()
                                    ->select('d.*')
                                    ->from('COMISIONADOS_PLANTA d, COMISIONADOS_OBJS f')
                                    ->where('d.id_comision=? and d.vigencia=? and f.id_comision=d.id_comision and f.vigencia=d.vigencia and f.nitocc=d.nitocc and f.valor!=0',array($id_comision,$vigencia))
                                    ->execute();
  
            } else {
                         $datos=Doctrine_Query::create()
                                    ->select('d.*')
                                    ->from('COMISIONADOS_CONTRATO d, COMISIONADOS_OBJS f')
                                    ->where('d.id_comision=? and d.vigencia=? and f.id_comision=d.id_comision and f.vigencia=d.vigencia and f.nitocc=d.nitocc and f.valor!=0',array($id_comision,$vigencia))
                                    ->execute();
        	
            }

	   
	   foreach($datos as $datos){

	    $pdf->MultiCell(100, 5, $datos->getNitocc()." - ".Doctrine::getTable('TERCEROS')->find($datos->getNitocc())->getRazSoc(), 1, 'L',1,0);
            $pdf->MultiCell(10, 5, "", 1, 'L',1,0);
	    $pdf->MultiCell(40, 5, $resol_orig, 1, 'C',1,0);
	    $pdf->MultiCell(10,5, $id_cdp_orig, 1, 'L',1,1);
	   }
	   
	   }

	   $pdf->SetFont('Times', '', 9);
	   
	   $pdf->ln();		   	
	   $articulo2='<p style="text-align:justify"><b>ARTÍCULO SEGUNDO.- </b>La presente resolución rige a partir de la fecha de su expedición.</p>';	

	  $pdf->writeHTML($articulo2, true, false, true, false, '');

	   $pdf->SetFont('Times', 'B', 8);
            $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->Cell(190, 5, 'COMUNÍQUESE Y CÚMPLASE', 0, 1, 'C');
            $pdf->Cell(110, 5, 'Dada en Bogotá D.C.', 0, 1, 'R');
            
            $pdf->SetFont('Times', 'B', 8);

	    $pdf->ln();	
	    $pdf->ln();
            $pdf->SetTextColor(0, 0, 0);
            $pdf->Cell(190, 5, $nombre_cargo, 0, 1, 'C');
            $pdf->Cell(190, 5, $cargo, 0, 1, 'C');


	


	    $pdf->Output("RCN_" . $resol . "_" . $vigencia . "pdf", "D");

	}



}


public function executeDesplazamiento(sfWebRequest $request)
  {


	 $fecha_proceso = Doctrine::getTable('PR_FECHA_PROC')->find(1)->getFecha();
                 $fecha = $fecha_proceso;
                 $fecha = $fecha_proceso;
                $date = strtotime($fecha);
               $ano = date("Y", $date);

	$mensaje = $request->getParameter('mensaje');
	$this->getUser()->setFlash('message', $mensaje);	

	$where = " WHERE id_vigencia = 1 and vigencia='".$ano."' and id_tipo_resol = 3";
	
        $consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOLUCIONES". 
	      $where
              ." ORDER BY RESOLUCION desc";
	
	$st=$consul->execute($sql);
        $this->resoluciones=$st->fetchAll(); 
	 


  }

public function executeCrear_desplaza(sfWebRequest $request){




}


public function executeFiltrar_comision(sfWebRequest $request)
  {
    
	$comision = $request->getParameter('comision');
	$vigencia = $request->getParameter('vigencia');
	
	$this->comision = $comision;
	$this->vigencia = $vigencia;

	$consul=Doctrine_Manager::getInstance()->connection();
        
	$sql = "select * 
		from comisiones
		where id = ".$comision." and vigencia = $vigencia
		";
	
	$st=$consul->execute($sql);
        $this->comisiones=$st->fetchAll(); 

	$sql = "select tab1.nitocc||' - '||tab1.razsoc AS NOMBRE 
		from comisionados_contrato tab0
		left join terceros tab1 ON tab1.nitocc = tab0.nitocc
		where tab0.id_comision = ".$comision." and tab0.vigencia = $vigencia
		";
	
	$st=$consul->execute($sql);
        $this->contratistas=$st->fetchAll(); 


	$sql = "select tab1.nitocc||' - '||tab1.razsoc AS NOMBRE 
		from comisionados_planta tab0
		left join terceros tab1 ON tab1.nitocc = tab0.nitocc
		where tab0.id_comision = ".$comision." and tab0.vigencia = $vigencia
		";
	
	$st=$consul->execute($sql);
        $this->planta=$st->fetchAll(); 

	$sql="SELECT * 
	      FROM FIRMA_RP";
	
	$st=$consul->execute($sql);
        $this->firmas=$st->fetchAll(); 
	$this->form = new PR_RPForm();

  }

public function executeGuardar_desplaza(sfWebRequest $request)
  {

	$vigencia = $request->getParameter('vigencia');
	$comision = $request->getParameter('comision');
	$id_tipo_resol = 3;
	$firma = $request->getParameter('firma');
	
	$this->form = new PR_RPForm();
    	$fields = $request->getParameter($this->form->getName());
    	$fecha_ini=$fields['fecha'];

	if($fecha_ini['month']!=""){

	if ($fecha_ini['month'] < 10
            )$fecha_ini['month'] = '0' . $fecha_ini['month'];
         $fecha = $fecha_ini['year'] . "/" . $fecha_ini['month'] . "/".$fecha_ini['day'];

	}else{
	$fecha = "";
	}

	

	$usuario = $this->getUser()->getAttribute('usuario')->getUsername();

	$resolucion = $request->getParameter('nro_resolucion');

        $fecha_proceso = $fecha;

	$consul=Doctrine_Manager::getInstance()->connection();
        
	$sql="INSERT INTO PR_RESOLUCIONES (ID_RESOL_ORIG,RESOLUCION,FIRMA,ID_VIGENCIA,VIGENCIA,ID_TIPO_RESOL,FECHA_RESOL,FECHALOG,USUARIOLOG)
		VALUES(".$comision.",'".$resolucion."',".$firma.",1,'".$vigencia."',".$id_tipo_resol.",to_date('".$fecha_proceso."','YYYY-MM-DD'),sysdate,'".$usuario."')";

	$st=$consul->execute($sql);
	
	$mensaje = "Se creo satisfactoriamente la resolucion No. ".$resolucion;
	$this->redirect('pr_resoluciones/desplazamiento?mensaje='.$mensaje);
        



  }


public function executePdf_desplaza(sfWebRequest $request)
  {

	$id_vigencia = $request->getParameter('id_vigencia');
	$vigencia = $request->getParameter('vigencia');
	$id_resolucion = $request->getParameter('id_resolucion');
	
    	$consul=Doctrine_Manager::getInstance()->connection();
        $sql="SELECT * 
	      FROM PR_RESOLUCIONES where id_resoluciones = ".$id_resolucion;
	
	$st=$consul->execute($sql);
        $resolucion=$st->fetchAll(); 

	$id_tipo_resol = $resolucion[0]['ID_TIPO_RESOL'];
	$resol = $resolucion[0]['RESOLUCION'];
	$fecha_resol = $this->fechaEspanol($resolucion[0]['FECHA_RESOL']);
	
	
        $pdf = new CDPDF('P', 'mm', 'letter');
        $pdf->setEncabezado('1');
	$pdf->AddFont('Times','','Times.php');
        $pdf->SetFont('Times', '', 8);
        $pdf->SetFillColor(255);
        $pdf->SetTextColor(0);
        // Header
        $pdf->AddPage();

	$id_comision = $resolucion[0]['ID_RESOL_ORIG'];	

	$consul=Doctrine_Manager::getInstance()->connection();
        
	$sql = "select * 
		from comisiones
		where id = ".$id_comision." and vigencia = $vigencia
		";
	
	$st=$consul->execute($sql);
        $comisiones=$st->fetchAll(); 

	$sql = "select tab1.nitocc AS CEDULA, tab1.razsoc AS NOMBRE, tab0.fecha_salida, tab0.fecha_regreso 
		from comisionados_contrato tab0
		left join terceros tab1 ON tab1.nitocc = tab0.nitocc
		where tab0.id_comision = ".$id_comision." and tab0.vigencia = $vigencia
		";
	
	$st=$consul->execute($sql);
        $contratistas=$st->fetchAll(); 


	$sql = "select tab1.nitocc AS CEDULA, tab1.razsoc AS NOMBRE, tab0.fecha_salida, tab0.fecha_regreso  
		from comisionados_planta tab0
		left join terceros tab1 ON tab1.nitocc = tab0.nitocc
		where tab0.id_comision = ".$id_comision." and tab0.vigencia = $vigencia
		";
	
	$st=$consul->execute($sql);
        $planta=$st->fetchAll(); 

	$destinos = Doctrine_Query::create()
                        ->select('d.*')
                        ->from('DESTINOS d')
                        ->where('d.ID_COMISION=? AND d.vigencia=? and d.estado=1', array($id_comision,$vigencia))
                        ->execute();
	$destino = "";
        foreach ($destinos as $destinos) {

            $municipio = Doctrine::getTable('MUNICIPIOS')->find($destinos->getCodMun())->getMunicipio();
            
            $departamento = Doctrine::getTable('DEPARTAMENTO')->find($destinos->getCodDepto())->getDescripcion();
            $destino.=$municipio . "-" . $departamento;
	    if($destinos->getObservacion()!="")
	    $destino.=" (".$destinos->getObservacion().")";
            $destino.=", ";
        }

        $destino = substr($destino, 0, -1);


	//RESOLUCION DE DESPLAZAMIENTO

	

	    $nombre_cargo = Doctrine::getTable('FIRMA_RP')->find($resolucion[0]['FIRMA'])->getNombre();
            $cargo = Doctrine::getTable('FIRMA_RP')->find($resolucion[0]['FIRMA'])->getCargo();
            $nombre_empresa = Doctrine::getTable('DATOS_COMPANIA')->find(1)->getNombreEmpresa();
            if ($cargo == 'SECRETARIO GENERAL'

                )$encabezado = "En uso de las facultades legales en especial las conferidas en el artículo 3 de la Resolución 131 del 25 de febrero de 2014";
            else
                 $encabezado="En uso de las facultades legales en especial las conferidas en el Artículo 10 del Decreto 4131 del 3 de Noviembre de 2011";

		$pdf->Cell(190, 15, "", 0, 1, 'C');
	
	    $fecha_resolucion_comision = $fecha_resol;
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 20, "", 0, 1, 'C');
            	if($resol!=""){
		$pdf->Cell(190, 8, "RESOLUCIÓN NÚMERO  " . $resol." DE", 0, 1, 'C');
		$pdf->Cell(190, 8, "(" . $fecha_resolucion_comision.")", 0, 1, 'C');	
		}
		else{
		$pdf->Cell(190, 8, "RESOLUCIÓN NÚMERO         DE", 0, 1, 'C');
		$pdf->Cell(190, 8, "(                     )", 0, 1, 'C');
		}
            $pdf->SetFont('Times', '', 8);
	   // $pdf->ln();
            $pdf->Cell(190, 5, '"Por medio de la cual se ordena  un desplazamiento', 0, 1, 'C');
           // $pdf->Cell(190, 5, '', 0, 1, 'C');
           // $pdf->ln();
            $pdf->SetFont('Times', 'B', 8);
            $pdf->Cell(190, 5, 'EL ' . $cargo . ' DEL ' . $nombre_empresa, 0, 1, 'C');
	  //$pdf->Cell(190, 5, $cargo, 0, 1, 'C');

            $pdf->SetFont('Times', '', 8);
	    $pdf->MultiCell(190, 5, $encabezado, 0, 'C', 0);
         //   $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->ln();
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 5, 'CONSIDERANDO', 0, 1, 'C');
            $pdf->ln();
           // $pdf->ln();
    //        $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->SetFont('Times', '', 9);

	     $funcionarios="";
	   $tipo_comi = "";
	    foreach($contratistas as $contratistas){	

	    $funcionarios.= '<b>'.$contratistas['NOMBRE'].'</b> identificado(s) con la cédula de ciudanía No. '.number_format($contratistas['CEDULA'],0,',','.').', ';
	    $fecha =  $this->fechaEspanol($contratistas['FECHA_SALIDA']);
	    $fecha_regreso =  $this->fechaEspanol($contratistas['FECHA_REGRESO']);
	    $tipo_comi = "contratista(s)";
		}
	   	

	   foreach($planta as $planta){	

	    $funcionarios.= '<b>'.$planta['NOMBRE'].'</b> identificado(s) con la cédula de ciudanía No. '.$planta['CEDULA'].', ';
	    $fecha =  $this->fechaEspanol($planta['FECHA_SALIDA']);
	    $fecha_regreso =  $this->fechaEspanol($planta['FECHA_REGRESO']);
	    $tipo_comi = "funcionario(s)";
		}   

	  
	   
	   if($fecha==$fecha_regreso){
	
		$fecha_a = " el dia ".$fecha;
	   }else{
		$fecha_a = " desde el ".$fecha." hasta el ".$fecha_regreso;

	   }

	   

	   $considerando = '<p style="text-align:justify">Que en desarrollo de los programas del servicio Geológico Colombiano, se requiere ordenar un desplazamiento sin viáticos ni gastos de viaje, es decir sin afectación presupuestal, para el (los) '.$tipo_comi.' '.$funcionarios.' con el fin de '.PR_CDP_COMISForm::utfToAcute2(trim($comisiones[0]['OBJETIVO'])).'</p>';
	   
	   $pdf->writeHTML($considerando, true, false, true, false, '');

	   $pdf->ln();
	    $pdf->MultiCell(190,5,"Que en merito de lo expuesto,", 0, 'L', 0);
            $pdf->ln();
            $pdf->SetFont('Times', 'B', 12);
            $pdf->Cell(190, 5, 'RESUELVE', 0, 1, 'C');
	    $pdf->ln();
    //        $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->SetFont('Times', '', 9);


	   	

	   $articulo1= '<p style="text-align:justify"><b>ARTICULO PRIMERO.-</b> Ordenar el desplazamiento para el (los) '.$tipo_comi.' del Servicio Geológico Colombiano: '.$funcionarios.' con destino a '.$destino.''.$fecha_a.', de acuerdo con lo establecido en el Considerando de la presente Resolución.</p>';
	   $articulo2 = '<p style="text-align:justify"><b>ARTICULO SEGUNDO.-</b> La presente Resolución rige a partir de la fecha de su expedición.</p>';
	
	   $pdf->writeHTML($articulo1, true, false, true, false, '');
           $pdf->ln();
	   //$pdf->MultiCell(190, 5, $articulo1, 0, 'L', 0);
	   $pdf->writeHTML($articulo2, true, false, true, false, '');

	   $pdf->SetFont('Times', 'B', 8);
            $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->Cell(190, 5, '', 0, 1, 'C');
            $pdf->Cell(190, 5, 'COMUNÍQUESE Y CÚMPLASE', 0, 1, 'C');
            $pdf->Cell(110, 5, 'Dada en Bogotá D.C.', 0, 1, 'R');
            
            $pdf->SetFont('Times', 'B', 8);

	    $pdf->ln();	
	    $pdf->ln();
            $pdf->SetTextColor(0, 0, 0);
            $pdf->Cell(190, 5, $nombre_cargo, 0, 1, 'C');
            $pdf->Cell(190, 5, $cargo, 0, 1, 'C');


	


	    $pdf->Output("RCN_" . $resol . "_" . $vigencia . "pdf", "D");
	

	

}


 protected function fechaEspanol($fecha) {


        $transf = strtotime($fecha);
        $dia = date("d", $transf);
        $mes = date("F", $transf);

        if ($mes == "January")
            $mes = "Enero";
        if ($mes == "February")
            $mes = "Febrero";
        if ($mes == "March")
            $mes = "Marzo";
        if ($mes == "April")
            $mes = "Abril";
        if ($mes == "May")
            $mes = "Mayo";
        if ($mes == "June")
            $mes = "Junio";
        if ($mes == "July")
            $mes = "Julio";
        if ($mes == "August")
            $mes = "Agosto";
        if ($mes == "September")
            $mes = "Septiembre";
        if ($mes == "October")
            $mes = "Octubre";
        if ($mes == "November")
            $mes = "Noviembre";
        if ($mes == "December")
            $mes = "Diciembre";
        $ano = date("Y", $transf);
        $fecha_resol = $dia . " " . $mes . " " . $ano;
        return $fecha_resol;
    }


}